Name:          xinetd
Version:       2.3.15
Summary:       A better and secure replacement for inetd
Group:         System/Servers
Release:       3mamba
License:       BSD
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.xinetd.org/
Source0:       http://www.xinetd.org/xinetd-%{version}.tar.gz
Source1:       xinetd-initscript
Source2:       xinetd-etc.tar.bz2
Source3:       xinetd-conf
Provides:      inetd
Prereq:        /sbin/chkconfig
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libtirpc-devel
BuildRequires: libwrap-devel
## AUTOBUILDREQ-END
BuildRequires: tcp_wrappers
Obsoletes:     inetd
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Requires:      tcp_wrappers >= 7.6

%description
Xinetd is a powerful inetd replacement. Xinetd has access control mechanisms, extensive logging capabilities, the ability to make services available based on time, can place limits on the number of servers that can be started, and has a configurable defence mechanism to protect against port scanners, among other things.

%prep
%setup -q -a 2

%build
export LDFLAGS=-ltirpc
%configure \
   --with-libwrap \
   --with-inet6

%make

%install
test x"$RPM_BUILD_ROOT" != x/ && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d

make install \
   prefix=$RPM_BUILD_ROOT%{_prefix} \
   DAEMONDIR=$RPM_BUILD_ROOT%{_sbindir} \
   MANDIR=$RPM_BUILD_ROOT%{_mandir}

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/xinetd
install -m 600 etc/xinetd.d/* $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.conf

%clean
test x"$RPM_BUILD_ROOT" != x/ && rm -rf "$RPM_BUILD_ROOT"

%post
if [ $1 -eq 1 ]; then
# new install
   chkconfig --add xinetd
fi
if [ $1 -gt 1 ]; then
# upgrade
   service xinetd restart
fi
:

%preun
if [ $1 -eq 0 ]; then
#erase
   service xinetd stop
   chkconfig --del xinetd
fi
:

%files
%defattr(-, root, root)
%dir %{_sysconfdir}/xinetd.d
%config(noreplace) %{_sysconfdir}/xinetd.d/*
%config(noreplace) %{_sysconfdir}/xinetd.conf
%config %{_initrddir}/xinetd
%{_sbindir}/xinetd
%{_sbindir}/itox
%{_sbindir}/xconv.pl
%{_mandir}/*/*
%doc COPYRIGHT xinetd/sample.conf
%doc CHANGELOG README

%changelog
* Sat Apr 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.15-3mamba
- initscript: start with -pidfile for systemd to detect it is running

* Sat May 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.15-2mamba
- restart service on upgrade; fixes some specfile oldies

* Thu May 10 2012 Automatic Build System <autodist@mambasoft.it> 2.3.15-1mamba
- automatic version update by autodist

* Sun Dec 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.14-3mamba
- rebuilt to remove executable requirements

* Tue Jun 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.14-2mamba
- specfile updated

* Thu Dec 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.14-1qilnx
- update to version 2.3.14 by autospec

* Mon Nov 29 2004 Silvan Calarco <silvan.calarco@qiinux.it> 2.3.13-2qilnx
- added tcp_wrapper requirement
- don't start service on install, just chkconfig it

* Fri Mar 12 2004 Davide Madrisan <davide.madrisan@qiinux.it> 2.3.13-1qilnx
- updated specfile and init file
- new version rebuild

* Tue Dec 02 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.12-1qilnx
- new version rebuild
- fixed initscript reload

* Fri May 24 2003 Silvan Calarco <silvan.calarco@qinet.it>
- fixed configuration and initscripts to make it work correctly

* Tue Apr 17 2003 Luca Tinelli <luca.tinelli@qinet.it>
- first build
